<section class="main-container">
    <section class="action-btn">
        <app-button  class="add-doctor" (click)="addNursePopup()">Add Nurse</app-button>
        <app-logout-btn class="logout-btn"></app-logout-btn>
     </section>
     
    <section class="doctorList-container">
        <app-left-nav-bar></app-left-nav-bar>
        <div class="doctor-table mat-elevation-z8">
    
            <mat-table #table  [dataSource]="dataSource" class="table">
    
             <ng-container matColumnDef="nursename">
                 <mat-header-cell *matHeaderCellDef> Name </mat-header-cell>
                 <mat-cell *matCellDef="let element"> {{element.name}} </mat-cell>
             </ng-container>
    
             <ng-container matColumnDef="doctorname">
                <mat-header-cell *matHeaderCellDef> Doctor </mat-header-cell>
                <mat-cell *matCellDef="let element"> <span *ngFor="let doctor of element.assignedDoctor">{{doctor.name}}</span> </mat-cell>
            </ng-container>
         
             <ng-container matColumnDef="edit">
                 <mat-header-cell *matHeaderCellDef>edit</mat-header-cell>
                 <mat-cell *matCellDef="let element"> <button mat-icon-button class="iconbutton" (click)="editNursePopup(element)">
                     <mat-icon class="edit-icon">edit</mat-icon>
                   </button> </mat-cell>
               </ng-container>
         
               <ng-container matColumnDef="delete">
                 <mat-header-cell *matHeaderCellDef>delete</mat-header-cell>
                 <mat-cell *matCellDef="let element"> <button mat-icon-button class="iconbutton" (click)="deleteNurse(element)">
                     <mat-icon class="delete-icon">delete</mat-icon>
                   </button></mat-cell>
               </ng-container>
             
               <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
               <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
             </mat-table>
             <mat-paginator #paginator
                          [pageSize]="5"
                          [pageSizeOptions]="[5, 10, 20]">
             </mat-paginator>
         </div>
    
  
    </section>
</section>

 <section *ngIf="displayAddPopup">
    <form class="popup-container" [formGroup]="form" (ngSubmit)="addNurse(form)" >
        <h3>Add Nurse</h3>
        <app-input type="text" placeholder="Enter Name" formControlName="name"></app-input>
    <app-input type="email" placeholder="Enter Email" formControlName="email"></app-input>
     <span *ngIf=" form.get('email')!.hasError('email') ">* Email is required and should be valid</span>
    <app-readonly-input type="text" placeholder="Role:Nurse" formControlName="role"></app-readonly-input>
    <mat-select placeholder="select Doctor" class="select-nurses" formControlName="assignedDoctor" [(ngModel)]="value">
        <mat-option *ngFor="let ele of doctorList" [value]="ele._id">{{ele.name}}</mat-option>
      </mat-select>
      <app-button [form] = 'form'>Save</app-button>
    </form>
</section>


<section class="editUserPopup" *ngIf="displayEditPopup">
    <form class="popup-container" [formGroup]="editForm" (ngSubmit)="editNurse(editForm)" >
        <h3>Add Doctor</h3>
        <app-input type="text" placeholder="Enter Name" formControlName="name"></app-input>
      <app-button>Save</app-button>
    </form>
</section>

